| All Verbs | /RestApi/sitefinity/inlineediting/workflow |
|---|
import Foundation
import ServiceStack
public class WorkflowOperationMessage : Codable
{
public var pageId:String
public var workflowOperation:InlineEditingOperation
public var customWorkflowOperation:String
public var items:[ItemContextModel] = []
required public init(){}
}
public enum InlineEditingOperation : String, Codable
{
case Publish
case SaveAsDraft
case Custom
}
public class ItemContextModel : Codable
{
public var itemId:String
public var itemType:String
public var provider:String
public var fieldValues:[FieldValueModel] = []
required public init(){}
}
public class FieldValueModel : Codable
{
public var name:String
//value:Object ignored. Type could not be extended in Swift
public var complexValue:[FieldValueModel] = []
required public init(){}
}
Swift WorkflowOperationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
PageId: String,
WorkflowOperation: Publish,
CustomWorkflowOperation: String,
Items:
[
{
ItemId: String,
ItemType: String,
Provider: String,
FieldValues:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {}
}
]
}
]
}
]
}
]
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
ItemName: String,
ItemType: String,
ItemStatus:
{
DisplayStatus: String,
IsAdmin: False,
IsEditable: False,
IsStatusEditable: False,
IsLocked: False,
IsPublished: False,
IsLockedByMe: False,
LockedByUsername: String,
WorkflowStatus: String
},
ProviderName: String,
DetailsViewUrl: String
}
]